Bug 115806 - The sidebar deck changes when after switch to print preview and back
Summary: The sidebar deck changes when after switch to print preview and back
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium trivial
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:6.1.0 target:6.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Print-Preview
  Show dependency treegraph
 
Reported: 2018-02-17 14:19 UTC by Telesto
Modified: 2018-08-20 18:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-02-17 14:19:26 UTC
Description:
The sidebar deck changes when after switch to print preview and back 

Steps to Reproduce:
1. Open Writer
2. Type something into the document
3. Switch to navigator deck
4. Open print preview
5. Close the print preview by clicking close preview (or Print preview)

Actual Results:  
It switches to Properties

Expected Results:
Should be navigator


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: b87fe45e8b087a315a65b92bf9c168b1e4c5cc00
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-02-16_23:14:35
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Dieter Praas 2018-02-17 17:00:34 UTC
I confirm it with

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 77a535285f0fd5f2464430abdc67cf99be024868
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-01-23_23:04:23
Locale: de-DE (de_DE); Calc: CL

switched to styles after closing preview.
Comment 2 Dieter Praas 2018-02-17 17:04:29 UTC
I can't confirm it with 

Version: 5.4.5.1 (x64)
Build-ID: 79c9829dd5d8054ec39a82dc51cd9eff340dbee8
CPU-Threads: 4; BS: Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 3 am_dxer 2018-02-22 18:48:20 UTC
# bad: [f177c04980801a81a65cec06f08ae29cc04e1a32] source sha:c26995f9d725a317e9ba27310ac64f5e25bb570f
# good: [b9d78ce81dc3481fccb0cb75d76fcb6ac939cbd5] source sha:9feb7f7039a3b59974cbf266922177e961a52dd1
git bisect start 'origin/master' 'oldest'
# good: [96b073beb16423b65c2c5ad9368094b646471476] source sha:bbcd952c062288d9ee1efe9c786c2146abf457ea
git bisect good 96b073beb16423b65c2c5ad9368094b646471476
# bad: [eb8c5e28a60c9eacf4cf7812fd438c6462369f18] source sha:f2e707baa762e9a4d80116cc6d6fc246eafeca3e
git bisect bad eb8c5e28a60c9eacf4cf7812fd438c6462369f18
# good: [38ca494aac3cf30acd8f14f454f4b202a3e79139] source sha:ce9a41dc387966c74c1af92783a97565b5af3668
git bisect good 38ca494aac3cf30acd8f14f454f4b202a3e79139
# good: [d5e4d2fccd6f5e67f1cf1fc3942d07b2a9b4d98e] source sha:035751dd33550def4a269a01eaae74fcaf8f5ecc
git bisect good d5e4d2fccd6f5e67f1cf1fc3942d07b2a9b4d98e
# bad: [e0f8a47f8de7748fc3bd97a7717c1dc577641845] source sha:87a9979c8938b800aab6e35903d60d24892e7f2e
git bisect bad e0f8a47f8de7748fc3bd97a7717c1dc577641845
# good: [e2f0f0110ed043a3a686bed0f31e6adc3e9d581b] source sha:a612c2feb38dbe78aa388f7d95baa12c6e821880
git bisect good e2f0f0110ed043a3a686bed0f31e6adc3e9d581b
# good: [dadd958f0a2ed072b55373f955baa3b3f9fa9f52] source sha:a42b0985c7619efdc934bb1cf19e5e2c2b6faea2
git bisect good dadd958f0a2ed072b55373f955baa3b3f9fa9f52
# bad: [b8214522548417347c13a7bbe0f662eaac6984f6] source sha:96976553c41e8e7af47ad3d25927f5018279f6c7
git bisect bad b8214522548417347c13a7bbe0f662eaac6984f6
# good: [87a32b3a2f4b303b00ef90c49722483402161453] source sha:cd74225ddad06ca826a37c8ba91eedd9d2aa23ce
git bisect good 87a32b3a2f4b303b00ef90c49722483402161453
# good: [3454559fe6cb498a2a4d99af81bb8261d4edc50e] source sha:3dce7bd77c56e61cd9457b03e8cf4137a7630eb9
git bisect good 3454559fe6cb498a2a4d99af81bb8261d4edc50e
# bad: [b047353846f99053f87c529408a7fdaf190e6edc] source sha:fe5b70723fc83f229fb4b41231a663a8700f48c4
git bisect bad b047353846f99053f87c529408a7fdaf190e6edc
# good: [54163e889652743cc9b7ecd038f7523344e7addb] source sha:0c46b3a9a384d5b70a708c3e9459a790dd815c63
git bisect good 54163e889652743cc9b7ecd038f7523344e7addb
# bad: [1079d2c74a263ff851696ea6f9255de5c2795712] source sha:23467fa5cfa2feffbeba2177c0d393f8ebe1a0a3
git bisect bad 1079d2c74a263ff851696ea6f9255de5c2795712
# first bad commit: [1079d2c74a263ff851696ea6f9255de5c2795712] source sha:23467fa5cfa2feffbeba2177c0d393f8ebe1a0a3
Comment 4 Telesto 2018-02-22 19:03:44 UTC
Bisected to
author	Katarina Behrens <Katarina.Behrens@cib.de>	2017-10-18 12:50:59 +0200
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2017-10-21 15:02:50 +0200
commit	23467fa5cfa2feffbeba2177c0d393f8ebe1a0a3 (patch)
tree	71e3c86a862291530699fce94dcd90a61ab421c1
parent	0c46b3a9a384d5b70a708c3e9459a790dd815c63 (diff)
tdf#67770: Read/writer LastActiveDeck bits

Adding CC to Katarina Behrens
Comment 5 Commit Notification 2018-03-19 11:10:49 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10e4528e8cb9818e7b8fcef8b1e96985f8b28640

tdf#115806: Remember last active deck also on context switch

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Katarina Behrens (CIB) 2018-03-26 10:21:03 UTC
Nobody complained so far, so this might be fixed
Comment 7 Xisco Faulí 2018-03-28 11:51:57 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 8329f4541e27402d19729ae1588af8bfe61f7b49
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Thank you Bubli!
Comment 8 Commit Notification 2018-04-12 15:20:27 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=afaa944633cb94205fb835c1d93775fa51ead749&h=libreoffice-6-0

tdf#115806: Remember last active deck also on context switch

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.